<template>
    <div class="onboard">
        <Steps
            :progress-steps="progressSteps"
            type="no_dismiss"
        />
        <div class="progress-bar">
            <div
                class="progress"
                :style="{ width: progress + '%' }"
            >
                {{ progress }}% Complete
            </div>
        </div> 
        <AddReview
            ref="review"
            source="onbording"
            :text-after-rating="textAfterRating"
            :text-before-rating="textBeforeRating"
            @updRating="switchText"
            @submit="updStep(), $emit('sendReview', $event)"
        />
    </div>
</template>

<script>
import AddReview from '@/components/review-collector/AddReview'
import Steps from '@/components/review-collector/Steps'
import {review} from '@/mixins/review'
export default {
    components: {
        AddReview,
        Steps
    },
    
    mixins: [review],
    data() {
        return {
            textBeforeRating: 'To complete your Carti onboarding, rate your experience so far:',
            textAfterRating: '',
            progress:  75,
            progressSteps: [
                {completed: true, title: "Install App", url: ""},
                {title: "Approve Plan", completed: true, url: ""},
                {title: "Activate Cart Recovery", completed: true, url: "/email/abandoned-carts"},
                {title: "Rate the app", completed: false, url: ""},
            ],
        }
    },
    methods: {
        switchText() {
            this.textBeforeRating = ''
            this.textAfterRating = 'Thank you! Anything else you would like to add?'
        },
        updStep() {
            this.progress = 100
            this.progressSteps[3].completed = true
        },
    }
}
</script>

<style scoped lang="scss">
.onboard {
    background: #ffffff;
    padding: 20px 7.5%;
    @media(max-width: 1000px) {
        padding: 20px 20px;
    }
    .progress-bar {
        margin-bottom: 0;
    }
}
</style>
